<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Kristian Gerhard P. Caseres</title>
</head>
<body>
	<h4> <em> Science and Engineering Ethics (2001) 7, 231-238 </em> </h4> <hr>

	<h1> <strong> Software Engineering Code of Ethics and <br> Professional Practice </strong></h1>

	<h2> <strong>IEEE-CS/ACM Join Task Force on Software Engineering Ethics and Professional<br>Practices </strong> </h2> <hr>

	<p> <strong>Keywords </strong>: code of ethics, professional responsibility. software engineering</p><br>

	<h2> <strong>PREAMBLE</strong></h2><br>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering proffessionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty: together, the aspirations and the details form cohesive code.</p><br>

	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintainance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the folliwing eight principles:</p><br>

	<h2> <strong> PRINCIPLES</strong> </h2>

	<ol>
		<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the best interest of their client and employer, consistent wuuth the public interest.</li>
		<li><em>Product</em>. Software engineers must ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management</em>. Software engineering managers and leaders shall subscribe to promote an ethical approach to the management of software development and maintainance.</li>
		<li><em>Profession</em>.Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues</em>. Software engineers shall be fair to  and supportive of their colleagues.</li>
		<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of of their profession and shall promote an ethical approach to the practice of the profession. </li>
	</ol>	


</body>
</html>